( function( global, factory ) {

    if ( typeof module === "object" && typeof module.exports === "object" ) {
        global.CurrencyNames = module.require( "./currency-names" );
        module.exports = factory( global );
    } else {
        factory( global );
    }

} )( this, function( global ) {

    global.CurrencyNames[ "es" ] = {
        "adp": "peseta andorrana",
        "aed": "dírham de los Emiratos Árabes Unidos",
        "afa": "afgani (1927-2002)",
        "afn": "afgani",
        "all": "lek albanés",
        "amd": "dram armenio",
        "ang": "florín de las Antillas Neerlandesas",
        "aoa": "kwanza angoleño",
        "ars": "peso argentino",
        "ats": "chelín austriaco",
        "aud": "dólar australiano",
        "awg": "florín de Aruba",
        "azm": "manat azerí (1993-2006)",
        "azn": "manat azerí",
        "bam": "marco convertible de Bosnia-Herzegovina",
        "bbd": "dólar de Barbados",
        "bdt": "taka de Bangladesh",
        "bef": "franco belga",
        "bgl": "lev fuerte búlgaro",
        "bgn": "nuevo lev búlgaro",
        "bhd": "dinar bahreiní",
        "bif": "franco de Burundi",
        "bmd": "dólar de Bermudas",
        "bnd": "dólar de Brunéi",
        "bob": "boliviano",
        "bov": "MVDOL boliviano",
        "brl": "real brasileño",
        "bsd": "dólar de las Bahamas",
        "btn": "ngultrum butanés",
        "bwp": "pula botsuano",
        "byb": "nuevo rublo bielorruso (1994-1999)",
        "byr": "rublo bielorruso",
        "bzd": "dólar de Belice",
        "cad": "dólar canadiense",
        "cdf": "franco congoleño",
        "chf": "franco suizo",
        "clf": "unidad de fomento chilena",
        "clp": "peso chileno",
        "cny": "yuan renminbi chino",
        "cop": "peso colombiano",
        "crc": "colón costarricense",
        "csd": "antiguo dinar serbio",
        "cup": "peso cubano",
        "cve": "escudo de Cabo Verde",
        "cyp": "libra chipriota",
        "czk": "corona checa",
        "dem": "marco alemán",
        "djf": "franco de Yibuti",
        "dkk": "corona danesa",
        "dop": "peso dominicano",
        "dzd": "dinar argelino",
        "eek": "corona estonia",
        "egp": "libra egipcia",
        "ern": "nakfa eritreo",
        "esp": "peseta española",
        "etb": "birr etíope",
        "eur": "euro",
        "fim": "marco finlandés",
        "fjd": "dólar de las Islas Fiyi",
        "fkp": "libra de las Islas Malvinas",
        "frf": "franco francés",
        "gbp": "libra esterlina británica",
        "gel": "lari georgiano",
        "ghc": "cedi ghanés (1979-2007)",
        "ghs": "cedi ghanés",
        "gip": "libra de Gibraltar",
        "gmd": "dalasi gambiano",
        "gnf": "franco guineano",
        "grd": "dracma griego",
        "gtq": "quetzal guatemalteco",
        "gwp": "peso de Guinea-Bissáu",
        "gyd": "dólar guyanés",
        "hkd": "dólar de Hong Kong",
        "hnl": "lempira hondureño",
        "hrk": "kuna croata",
        "htg": "gourde haitiano",
        "huf": "florín húngaro",
        "idr": "rupia indonesia",
        "iep": "libra irlandesa",
        "ils": "nuevo sheqel israelí",
        "inr": "rupia india",
        "iqd": "dinar iraquí",
        "irr": "rial iraní",
        "isk": "corona islandesa",
        "itl": "lira italiana",
        "jmd": "dólar de Jamaica",
        "jod": "dinar jordano",
        "jpy": "yen japonés",
        "kes": "chelín keniata",
        "kgs": "som kirguís",
        "khr": "riel camboyano",
        "kmf": "franco comorense",
        "kpw": "won norcoreano",
        "krw": "won surcoreano",
        "kwd": "dinar kuwaití",
        "kyd": "dólar de las Islas Caimán",
        "kzt": "tenge kazako",
        "lak": "kip laosiano",
        "lbp": "libra libanesa",
        "lkr": "rupia de Sri Lanka",
        "lrd": "dólar liberiano",
        "lsl": "loti lesothense",
        "ltl": "litas lituano",
        "luf": "franco luxemburgués",
        "lvl": "lats letón",
        "lyd": "dinar libio",
        "mad": "dirham marroquí",
        "mdl": "leu moldavo",
        "mga": "ariary malgache",
        "mgf": "franco malgache",
        "mkd": "dinar macedonio",
        "mmk": "kyat de Myanmar",
        "mnt": "tugrik mongol",
        "mop": "pataca de Macao",
        "mro": "ouguiya mauritano",
        "mtl": "lira maltesa",
        "mur": "rupia mauriciana",
        "mvr": "rufiyaa de Maldivas",
        "mwk": "kwacha de Malawi",
        "mxn": "peso mexicano",
        "mxv": "unidad de inversión (UDI) mexicana",
        "myr": "ringgit malasio",
        "mzm": "antiguo metical mozambiqueño",
        "mzn": "metical mozambiqueño",
        "nad": "dólar de Namibia",
        "ngn": "naira nigeriano",
        "nio": "córdoba oro nicaragüense",
        "nlg": "florín neerlandés",
        "nok": "corona noruega",
        "npr": "rupia nepalesa",
        "nzd": "dólar neozelandés",
        "omr": "rial omaní",
        "pab": "balboa panameño",
        "pen": "nuevo sol peruano",
        "pgk": "kina de Papúa Nueva Guinea",
        "php": "peso filipino",
        "pkr": "rupia pakistaní",
        "pln": "zloty polaco",
        "pte": "escudo portugués",
        "pyg": "guaraní paraguayo",
        "qar": "riyal de Qatar",
        "rol": "antiguo leu rumano",
        "ron": "leu rumano",
        "rsd": "dinar serbio",
        "rub": "rublo ruso",
        "rur": "rublo ruso (1991-1998)",
        "rwf": "franco ruandés",
        "sar": "riyal saudí",
        "sbd": "dólar de las Islas Salomón",
        "scr": "rupia de Seychelles",
        "sdd": "dinar sudanés",
        "sdg": "libra sudanesa",
        "sek": "corona sueca",
        "sgd": "dólar singapurense",
        "shp": "libra de Santa Elena",
        "sit": "tólar esloveno",
        "skk": "corona eslovaca",
        "sll": "leone de Sierra Leona",
        "sos": "chelín somalí",
        "srd": "dólar surinamés",
        "srg": "florín surinamés",
        "std": "dobra de Santo Tomé y Príncipe",
        "svc": "colón salvadoreño",
        "syp": "libra siria",
        "szl": "lilangeni suazi",
        "thb": "baht tailandés",
        "tjs": "somoni tayiko",
        "tmm": "manat turcomano",
        "tnd": "dinar tunecino",
        "top": "pa?anga tongano",
        "tpe": "escudo timorense",
        "trl": "lira turca antigua",
        "try": "nueva lira turca",
        "ttd": "dólar de Trinidad y Tobago",
        "twd": "nuevo dólar taiwanés",
        "tzs": "chelín tanzano",
        "uah": "grivna ucraniana",
        "ugx": "chelín ugandés",
        "usd": "dólar estadounidense",
        "usn": "dólar estadounidense (día siguiente)",
        "uss": "dólar estadounidense (mismo día)",
        "uyu": "peso uruguayo",
        "uzs": "sum uzbeko",
        "veb": "bolívar venezolano",
        "vef": "bolívar fuerte venezolano",
        "vnd": "dong vietnamita",
        "vuv": "vatu vanuatuense",
        "wst": "tala samoano",
        "xaf": "franco CFA BEAC",
        "xag": "plata",
        "xau": "oro",
        "xba": "unidad compuesta europea",
        "xbb": "unidad monetaria europea",
        "xbc": "unidad de cuenta europea (XBC)",
        "xbd": "unidad de cuenta europea (XBD)",
        "xcd": "dólar del Caribe Oriental",
        "xdr": "derechos especiales de giro",
        "xfo": "franco oro francés",
        "xfu": "franco UIC francés",
        "xof": "franco CFA BCEAO",
        "xpd": "paladio",
        "xpf": "franco CFP",
        "xpt": "platino",
        "xts": "código reservado para pruebas",
        "xxx": "Sin divisa",
        "yer": "rial yemení",
        "yum": "super dinar yugoslavo",
        "zar": "rand sudafricano",
        "zmk": "kwacha zambiano",
        "zwd": "dólar de Zimbabue"
    };

    return global.CurrencyNames;

} );
