( function( global, factory ) {

    if ( typeof module === "object" && typeof module.exports === "object" ) {
        global.CurrencyNames = module.require( "./currency-names" );
        module.exports = factory( global );
    } else {
        factory( global );
    }

} )( this, function( global ) {

    global.CurrencyNames[ "fr" ] = {
        "adp": "peseta andorrane",
        "aed": "dirham des Émirats arabes unis",
        "afa": "afghani (1927–2002)",
        "afn": "afghani",
        "all": "lek albanais",
        "amd": "dram arménien",
        "ang": "florin antillais",
        "aoa": "kwanza angolais",
        "ars": "peso argentin",
        "ats": "schilling autrichien",
        "aud": "dollar australien",
        "awg": "florin arubais",
        "azm": "manat azéri (1993-2006)",
        "azn": "manat azéri",
        "bam": "mark convertible bosniaque",
        "bbd": "dollar barbadien",
        "bdt": "taka bangladeshi",
        "bef": "franc belge",
        "bgl": "lev bulgare (1962–1999)",
        "bgn": "nouveau lev bulgare",
        "bhd": "dinar bahreïni",
        "bif": "franc burundais",
        "bmd": "dollar bermudien",
        "bnd": "dollar brunéien",
        "bob": "boliviano",
        "bov": "mvdol bolivien",
        "brl": "réal brésilien",
        "bsd": "dollar bahaméen",
        "btn": "ngultrum bouthanais",
        "bwp": "pula botswanais",
        "byb": "nouveau rouble biélorusse (1994-1999)",
        "byr": "rouble biélorusse",
        "bzd": "dollar bélizéen",
        "cad": "dollar canadien",
        "cdf": "franc congolais",
        "chf": "franc suisse",
        "clf": "unité d’investissement chilienne",
        "clp": "peso chilien",
        "cny": "yuan renminbi chinois",
        "cop": "peso colombien",
        "crc": "colón costaricain",
        "csd": "dinar serbo-monténégrin",
        "cup": "peso cubain",
        "cve": "escudo capverdien",
        "cyp": "livre chypriote",
        "czk": "couronne tchèque",
        "dem": "mark allemand",
        "djf": "franc djiboutien",
        "dkk": "couronne danoise",
        "dop": "peso dominicain",
        "dzd": "dinar algérien",
        "eek": "couronne estonienne",
        "egp": "livre égyptienne",
        "ern": "nafka érythréen",
        "esp": "peseta espagnole",
        "etb": "birr éthiopien",
        "eur": "euro",
        "fim": "mark finlandais",
        "fjd": "dollar fidjien",
        "fkp": "livre des Falkland",
        "frf": "franc français",
        "gbp": "livre sterling",
        "gel": "lari géorgien",
        "ghc": "cédi",
        "ghs": "cédi ghanéen",
        "gip": "livre de Gibraltar",
        "gmd": "dalasi gambien",
        "gnf": "franc guinéen",
        "grd": "drachme grecque",
        "gtq": "quetzal guatémaltèque",
        "gwp": "peso bissau-guinéen",
        "gyd": "dollar du Guyana",
        "hkd": "dollar de Hong Kong",
        "hnl": "lempira hondurien",
        "hrk": "kuna croate",
        "htg": "gourde haïtienne",
        "huf": "forint hongrois",
        "idr": "roupie indonésienne",
        "iep": "livre irlandaise",
        "ils": "nouveau shekel israélien",
        "inr": "roupie indienne",
        "iqd": "dinar irakien",
        "irr": "rial iranien",
        "isk": "couronne islandaise",
        "itl": "lire italienne",
        "jmd": "dollar jamaïcain",
        "jod": "dinar jordanien",
        "jpy": "yen japonais",
        "kes": "shilling kényan",
        "kgs": "som kirghize",
        "khr": "riel cambodgien",
        "kmf": "franc comorien",
        "kpw": "won nord-coréen",
        "krw": "won sud-coréen",
        "kwd": "dinar koweïtien",
        "kyd": "dollar des îles Caïmanes",
        "kzt": "tenge kazakh",
        "lak": "kip loatien",
        "lbp": "livre libanaise",
        "lkr": "roupie srilankaise",
        "lrd": "dollar libérien",
        "lsl": "loti lesothan",
        "ltl": "litas lituanien",
        "luf": "franc luxembourgeois",
        "lvl": "lats letton",
        "lyd": "dinar lybien",
        "mad": "dirham marocain",
        "mdl": "leu moldave",
        "mga": "ariary malgache",
        "mgf": "franc malgache",
        "mkd": "denar macédonien",
        "mmk": "kyat myanmarais",
        "mnt": "tugrik mongol",
        "mop": "pataca macanaise",
        "mro": "ouguiya mauritanien",
        "mtl": "lire maltaise",
        "mur": "roupie mauricienne",
        "mvr": "rufiyaa maldivienne",
        "mwk": "kwacha malawite",
        "mxn": "peso mexicain",
        "mxv": "unité de conversion mexicaine (UDI)",
        "myr": "ringgit malais",
        "mzm": "métical",
        "mzn": "metical mozambicain",
        "nad": "dollar namibien",
        "ngn": "naira nigérian",
        "nio": "córdoba oro nicaraguayen",
        "nlg": "florin néerlandais",
        "nok": "couronne norvégienne",
        "npr": "roupie népalaise",
        "nzd": "dollar néo-zélandais",
        "omr": "rial omani",
        "pab": "balboa panaméen",
        "pen": "nouveau sol péruvien",
        "pgk": "kina papouan-néo-guinéen",
        "php": "peso philippin",
        "pkr": "roupie pakistanaise",
        "pln": "zloty polonais",
        "pte": "escudo portugais",
        "pyg": "guaraní paraguayen",
        "qar": "rial qatari",
        "rol": "ancien leu roumain",
        "ron": "leu roumain",
        "rsd": "dinar serbe",
        "rub": "rouble russe",
        "rur": "rouble russe (1991–1998)",
        "rwf": "franc rwandais",
        "sar": "rial saoudien",
        "sbd": "dollar des îles Salomon",
        "scr": "roupie des Seychelles",
        "sdd": "dinar soudanais",
        "sdg": "livre soudanaise",
        "sek": "couronne suédoise",
        "sgd": "dollar de Singapour",
        "shp": "livre de Sainte-Hélène",
        "sit": "tolar slovène",
        "skk": "couronne slovaque",
        "sll": "leone sierra-léonais",
        "sos": "shilling somalien",
        "srd": "dollar surinamais",
        "srg": "florin surinamais",
        "std": "dobra santoméen",
        "svc": "colón salvadorien",
        "syp": "livre syrienne",
        "szl": "lilangeni swazi",
        "thb": "baht thaïlandais",
        "tjs": "somoni tadjik",
        "tmm": "manat turkmène",
        "tnd": "dinar tunisien",
        "top": "pa’anga tongan",
        "tpe": "escudo timorais",
        "trl": "livre turque",
        "try": "nouvelle livre turque",
        "ttd": "dollar trinidadien",
        "twd": "nouveau dollar taïwanais",
        "tzs": "shilling tanzanien",
        "uah": "hryvnia ukrainienne",
        "ugx": "shilling ougandais",
        "usd": "dollar des États-Unis",
        "usn": "dollar des Etats-Unis (jour suivant)",
        "uss": "dollar des Etats-Unis (jour même)",
        "uyu": "peso uruguayen",
        "uzs": "sum ouzbek",
        "veb": "bolivar",
        "vef": "bolivar fuerte vénézuélien",
        "vnd": "dông vietnamien",
        "vuv": "vatu vanuatuan",
        "wst": "tala samoan",
        "xaf": "franc CFA (BEAC)",
        "xag": "argent",
        "xau": "or",
        "xba": "unité européenne composée",
        "xbb": "unité monétaire européenne",
        "xbc": "unité de compte européenne (XBC)",
        "xbd": "unité de compte européenne (XBD)",
        "xcd": "dollar des Caraïbes orientales",
        "xdr": "droit de tirage spécial",
        "xfo": "franc or",
        "xfu": "franc UIC",
        "xof": "franc CFA (BCEAO)",
        "xpd": "palladium",
        "xpf": "franc CFP",
        "xpt": "platine",
        "xts": "(devise de test)",
        "xxx": "devise inconnue ou non valide",
        "yer": "rial yéménite",
        "yum": "dinar yougoslave Noviy",
        "zar": "rand sud-africain",
        "zmk": "kwacha zambien",
        "zwd": "dollar zimbabwéen"
    };

    return global.CurrencyNames;

} );
