( function( global, factory ) {

    if ( typeof module === "object" && typeof module.exports === "object" ) {
        global.LocaleNames = module.require( "./locale-names" );
        module.exports = factory( global );
    } else {
        factory( global );
    }

} )( this, function( global ) {

    global.LocaleNames[ "es" ] = {
        "001": "Mundo",
        "002": "África",
        "003": "América del Norte",
        "005": "Suramérica",
        "009": "Oceanía",
        "011": "África occidental",
        "013": "Centroamérica",
        "014": "África oriental",
        "015": "África septentrional",
        "017": "África central",
        "018": "África meridional",
        "019": "Américas",
        "021": "Norteamérica",
        "029": "Caribe",
        "030": "Asia oriental",
        "034": "Asia meridional",
        "035": "Sudeste asiático",
        "039": "Europa meridional",
        "053": "Australia y Nueva Zelanda",
        "054": "Melanesia",
        "057": "Micronesia [057]",
        "061": "Polinesia",
        "142": "Asia",
        "143": "Asia central",
        "145": "Asia occidental",
        "150": "Europa",
        "151": "Europa oriental",
        "154": "Europa septentrional",
        "155": "Europa occidental",
        "419": "Latinoamérica y el Caribe",
        "AD": "Andorra",
        "AE": "Emiratos Árabes Unidos",
        "AF": "Afganistán",
        "AG": "Antigua y Barbuda",
        "AI": "Anguila",
        "AL": "Albania",
        "AM": "Armenia",
        "AN": "Antillas Holandesas",
        "AO": "Angola",
        "AQ": "Antártida",
        "AR": "Argentina",
        "AS": "Samoa Americana",
        "AT": "Austria",
        "AU": "Australia",
        "AW": "Aruba",
        "AX": "Islas Aland",
        "AZ": "Azerbaiyán",
        "Arab": "árabe",
        "Armi": "Arameo Imperial",
        "Armn": "armenio",
        "Avst": "avéstico",
        "BA": "Bosnia y Hercegovina",
        "BB": "Barbados",
        "BD": "Bangladesh",
        "BE": "Bélgica",
        "BF": "Burkina Faso",
        "BG": "Bulgaria",
        "BH": "Bahráin",
        "BI": "Burundi",
        "BJ": "Benín",
        "BM": "Bermudas",
        "BN": "Brunéi",
        "BO": "Bolivia",
        "BR": "Brasil",
        "BS": "Bahamas",
        "BT": "Bután",
        "BV": "Isla Bouvet",
        "BW": "Botsuana",
        "BY": "Bielorrusia",
        "BZ": "Belice",
        "Bali": "balinés",
        "Bamu": "Bamum",
        "Bass": "Bassa Vah",
        "Batk": "batak",
        "Beng": "bengalí",
        "Blis": "símbolos bliss",
        "Bopo": "bopomofo",
        "Brah": "brahmí",
        "Brai": "braille",
        "Bugi": "buginés",
        "Buhd": "buhid",
        "CA": "Canadá",
        "CC": "Islas Cocos",
        "CD": "República Democrática del Congo",
        "CF": "República Centroafricana",
        "CG": "Congo",
        "CH": "Suiza",
        "CI": "Costa de Marfil",
        "CK": "Islas Cook",
        "CL": "Chile",
        "CM": "Camerún",
        "CN": "China",
        "CO": "Colombia",
        "CR": "Costa Rica",
        "CS": "Serbia y Montenegro",
        "CU": "Cuba",
        "CV": "Cabo Verde",
        "CX": "Isla Christmas",
        "CY": "Chipre",
        "CZ": "Chequia",
        "Cakm": "Chakma",
        "Cans": "símbolos aborígenes canadienses unificados",
        "Cari": "cario",
        "Cham": "cham",
        "Cher": "cherokee",
        "Cirt": "cirth",
        "Copt": "copto",
        "Cprt": "chipriota",
        "Cyrl": "cirílico",
        "Cyrs": "cirílico del antiguo eslavo eclesiástico",
        "DE": "Alemania",
        "DJ": "Yibuti",
        "DK": "Dinamarca",
        "DM": "Dominica",
        "DO": "República Dominicana",
        "DZ": "Argelia",
        "Deva": "devanagari",
        "Dsrt": "deseret",
        "Dupl": "Taquigrafía Duployé",
        "EC": "Ecuador",
        "EE": "Estonia",
        "EG": "Egipto",
        "EH": "Sahara Occidental",
        "ER": "Eritrea",
        "ES": "España",
        "ET": "Etiopía",
        "Egyd": "egipcio demótico",
        "Egyh": "egipcio hierático",
        "Egyp": "jeroglíficos egipcios",
        "Elba": "Elbasan",
        "Ethi": "etiópico",
        "FI": "Finlandia",
        "FJ": "Fiyi",
        "FK": "Islas Malvinas",
        "FM": "Micronesia",
        "FO": "Islas Feroe",
        "FR": "Francia",
        "GA": "Gabón",
        "GB": "Reino Unido",
        "GD": "Granada",
        "GE": "Georgia",
        "GF": "Guayana Francesa",
        "GH": "Ghana",
        "GI": "Gibraltar",
        "GL": "Groenlandia",
        "GM": "Gambia",
        "GN": "Guinea",
        "GP": "Guadalupe",
        "GQ": "Guinea Ecuatorial",
        "GR": "Grecia",
        "GS": "Islas Georgia del Sur y Sandwich del Sur",
        "GT": "Guatemala",
        "GU": "Guam",
        "GW": "Guinea-Bissau",
        "GY": "Guyana",
        "Geok": "georgiano eclesiástico",
        "Geor": "georgiano",
        "Glag": "glagolítico",
        "Goth": "gótico",
        "Gran": "Grantha",
        "Grek": "griego",
        "Gujr": "gujarati",
        "Guru": "gurmuji",
        "HK": "Hong Kong",
        "HM": "Islas Heard y McDonald",
        "HN": "Honduras",
        "HR": "Croacia",
        "HT": "Haití",
        "HU": "Hungría",
        "Hang": "hangul",
        "Hani": "han",
        "Hano": "hanunoo",
        "Hans": "han simplificado",
        "Hant": "han tradicional",
        "Hebr": "hebreo",
        "Hira": "hiragana",
        "Hmng": "pahawh hmong",
        "Hrkt": "katakana o hiragana",
        "Hung": "húngaro antiguo",
        "ID": "Indonesia",
        "IE": "Irlanda",
        "IL": "Israel",
        "IN": "India",
        "IO": "Territorio Británico del Océano Índico",
        "IQ": "Iraq",
        "IR": "Irán",
        "IS": "Islandia",
        "IT": "Italia",
        "Inds": "Indio (harappan)",
        "Ital": "antigua bastardilla",
        "JM": "Jamaica",
        "JO": "Jordania",
        "JP": "Japón",
        "Java": "javanés",
        "Jpan": "japonés",
        "KE": "Kenia",
        "KG": "Kirguizistán",
        "KH": "Camboya",
        "KI": "Kiribati",
        "KM": "Comores",
        "KN": "San Cristóbal y Nieves",
        "KP": "Corea del Norte",
        "KR": "Corea del Sur",
        "KW": "Kuwait",
        "KY": "Islas Caimán",
        "KZ": "Kazajstán",
        "Kali": "kayah li",
        "Kana": "katakana",
        "Khar": "kharoshthi",
        "Khmr": "jemer",
        "Knda": "canarés",
        "Kore": "coreano",
        "Kpel": "Kpelle",
        "Kthi": "Kaithi",
        "LA": "Laos",
        "LB": "Líbano",
        "LC": "Santa Lucia",
        "LI": "Liechtenstein",
        "LK": "Sri Lanka",
        "LR": "Liberia",
        "LS": "Lesoto",
        "LT": "Lituania",
        "LU": "Luxemburgo",
        "LV": "Letonia",
        "LY": "Libia",
        "Lana": "lanna",
        "Laoo": "lao",
        "Latf": "latino fraktur",
        "Latg": "latino gaélico",
        "Latn": "latín",
        "Lepc": "lepcha",
        "Limb": "limbu",
        "Lina": "lineal A",
        "Linb": "lineal B",
        "Lisu": "Lisu",
        "Loma": "Loma",
        "Lyci": "licio",
        "Lydi": "lidio",
        "MA": "Marruecos",
        "MC": "Mónaco",
        "MD": "Moldavia",
        "ME": "Montenegro",
        "MG": "Madagascar",
        "MH": "Islas Marshall",
        "MK": "Macedonia",
        "ML": "Malí",
        "MM": "Myanmar",
        "MN": "Mongolia",
        "MO": "Macao",
        "MP": "Islas Marianas del Norte",
        "MQ": "Martinica",
        "MR": "Mauritania",
        "MS": "Montserrat",
        "MT": "Malta",
        "MU": "Mauricio",
        "MV": "Maldivas",
        "MW": "Malaui",
        "MX": "México",
        "MY": "Malasia",
        "MZ": "Mozambique",
        "Mand": "mandeo",
        "Mani": "Maniqueísmo",
        "Maya": "jeroglíficos mayas",
        "Mend": "Mendé",
        "Merc": "Meroítico Cursivo",
        "Mero": "meroítico",
        "Mlym": "malayálam",
        "Mong": "mongol",
        "Moon": "Luna",
        "Mtei": "manipuri",
        "Mymr": "birmano",
        "NA": "Namibia",
        "NC": "Nueva Caledonia",
        "NE": "Níger",
        "NF": "Isla Norfolk",
        "NG": "Nigeria",
        "NI": "Nicaragua",
        "NL": "Holanda",
        "NO": "Noruega",
        "NP": "Nepal",
        "NR": "Nauru",
        "NU": "Niue",
        "NZ": "Nueva Zelanda",
        "Narb": "Árabe del Norte Antiguo",
        "Nbat": "Nabateo",
        "Nkgb": "Nakhi Geba",
        "Nkoo": "n'Ko",
        "OM": "Omán",
        "Ogam": "ogham",
        "Olck": "ol chiki",
        "Orkh": "orkhon",
        "Orya": "oriya",
        "Osma": "osmaniya",
        "PA": "Panamá",
        "PE": "Perú",
        "PF": "Polinesia Francesa",
        "PG": "Papúa New Guinea",
        "PH": "Filipinas",
        "PK": "Paquistán",
        "PL": "Polonia",
        "PM": "San Pedro y Miquelón",
        "PN": "Islas Pitcairn",
        "PR": "Puerto Rico",
        "PS": "Palestina",
        "PT": "Portugal",
        "PW": "Palaos",
        "PY": "Paraguay",
        "Palm": "Palmireño",
        "Perm": "permiano antiguo",
        "Phag": "phags-pa",
        "Phli": "Pahlavi, Inscripciones",
        "Phlp": "Pahlavi, Salterio",
        "Phlv": "Pahlavi, Libros",
        "Phnx": "fenicio",
        "Plrd": "Pollard Miao",
        "Prti": "Parto, Inscripciones",
        "QA": "Qatar",
        "RE": "Reunión",
        "RO": "Rumania",
        "RS": "Serbia",
        "RU": "Rusia",
        "RW": "Ruanda",
        "Rjng": "Rejang",
        "Roro": "Rongorongo",
        "Runr": "rúnico",
        "SA": "Arabia Saudita",
        "SB": "Islas Salomón",
        "SC": "Seychelles",
        "SD": "Sudán",
        "SE": "Suecia",
        "SG": "Singapur",
        "SH": "Santa Helena",
        "SI": "Eslovenia",
        "SJ": "Svalbard y Jan Mayen",
        "SK": "Eslovaquia",
        "SL": "Sierra Leona",
        "SM": "San Marino",
        "SN": "Senegal",
        "SO": "Somalia",
        "SR": "Surinam",
        "ST": "Santo Tomé y Príncipe",
        "SV": "El Salvador",
        "SY": "Siria",
        "SZ": "Suazilandia",
        "Samr": "Samaritano",
        "Sara": "Sarati",
        "Sarb": "Árabe del Sur Antiguo",
        "Saur": "Saurashtra",
        "Sgnw": "Escritura de Signos",
        "Shaw": "shaviano",
        "Sind": "Sindhi",
        "Sinh": "binhala",
        "Sund": "sudanés",
        "Sylo": "Syloti Nagri",
        "Syrc": "siriaco",
        "Syre": "siriaco estrangelo",
        "Syrj": "siriaco occidental",
        "Syrn": "siriaco oriental",
        "TC": "Islas Turcas y Caicos",
        "TD": "Chad",
        "TF": "Territorios Franceses del Sur",
        "TG": "Togo",
        "TH": "Tailandia",
        "TJ": "Tayikistán",
        "TK": "Tokelau",
        "TL": "Timor Oriental",
        "TM": "Turkmenistán",
        "TN": "Túnez",
        "TO": "Tonga",
        "TR": "Turquía",
        "TT": "Trinidad y Tobago",
        "TV": "Tuvalu",
        "TW": "Taiwán",
        "TZ": "Tanzania",
        "Tagb": "tagbanúa",
        "Tale": "tai le",
        "Talu": "Nuevo Tai Lue",
        "Taml": "tamil",
        "Tavt": "Tai Viet",
        "Telu": "telugu",
        "Teng": "tengwar",
        "Tfng": "Tifinagh",
        "Tglg": "tagalo",
        "Thaa": "thaana",
        "Thai": "tailandés",
        "Tibt": "tibetano",
        "UA": "Ucrania",
        "UG": "Uganda",
        "UM": "Islas menores alejadas de los Estados Unidos",
        "US": "Estados Unidos",
        "UY": "Uruguay",
        "UZ": "Uzbekistán",
        "Ugar": "ugarítico",
        "VA": "Ciudad del Vaticano",
        "VC": "San Vicente y las Granadinas",
        "VE": "Venezuela",
        "VG": "Islas Vírgenes Británicas",
        "VI": "Islas Vírgenes Americanas",
        "VN": "Vietnam",
        "VU": "Vanuatu",
        "Vaii": "Vai",
        "Visp": "lenguaje visible",
        "WF": "Wallis y Futuna",
        "WS": "Samoa",
        "Wara": "Warang Citi",
        "Xpeo": "persa antiguo",
        "Xsux": "Sumerio-Acadio Cuneiforme",
        "YE": "Yemen",
        "YT": "Mayotte",
        "Yiii": "yi",
        "ZA": "Sudáfrica",
        "ZM": "Zambia",
        "ZW": "Zimbabue",
        "Zinh": "heredado",
        "Zmth": "Notación Matemática",
        "Zsym": "símbolos",
        "Zxxx": "no escrito",
        "Zyyy": "común",
        "Zzzz": "escritura desconocida o no válida",
        "aa": "afar",
        "aar": "afar",
        "ab": "abjasio",
        "abk": "Abjasio",
        "ace": "acehnés",
        "ach": "acoli",
        "ada": "adangme",
        "ady": "adigeo",
        "ae": "avéstico",
        "af": "afrikaans",
        "afa": "afgani (1927-2002)",
        "afh": "afrihili",
        "afr": "Afrikaans",
        "ain": "ainu",
        "ak": "akan",
        "aka": "Acano",
        "akk": "acadio",
        "alb": "Albanés",
        "ale": "aleutiano",
        "alg": "lenguas algonquinas",
        "alt": "altái meridional",
        "am": "amárico",
        "amh": "Amárico",
        "an": "aragonés",
        "ang": "florines de las Antillas Neerlandesas",
        "anp": "angika",
        "apa": "lenguas apache",
        "ar": "árabe",
        "ara": "australes argentinos",
        "arc": "arameo",
        "arg": "Aragonés",
        "arm": "Armenio",
        "arn": "araucano",
        "arp": "pesos argentinos (ARP)",
        "art": "lengua artificial",
        "arw": "arahuaco",
        "as": "asamés",
        "asm": "Asamés",
        "ast": "asturiano",
        "ath": "lenguas atabascas",
        "aus": "lenguas australianas",
        "av": "avar",
        "ava": "Ávaro",
        "ave": "Avéstico",
        "awa": "avadhi",
        "ay": "aimara",
        "aym": "Aimara",
        "az": "azerí",
        "aze": "Azerbaiyano",
        "ba": "bashkir",
        "bad": "dinares bosnios",
        "bai": "lenguas bamileke",
        "bak": "Bashkir",
        "bal": "baluchi",
        "bam": "marcos convertibles de Bosnia-Herzegovina",
        "ban": "balinés",
        "baq": "Vasco",
        "bas": "basa",
        "bat": "lengua báltica",
        "be": "bielorruso",
        "bej": "beja",
        "bel": "francos belgas (financieros)",
        "bem": "bemba",
        "ben": "Bengalí",
        "ber": "bereber",
        "bg": "búlgaro",
        "bh": "bihari",
        "bho": "bhojpuri",
        "bi": "bislama",
        "bih": "Biharí",
        "bik": "bicol",
        "bin": "bini",
        "bis": "Bislama",
        "bla": "siksika",
        "bm": "bambara",
        "bn": "bengalí",
        "bnt": "bantú",
        "bo": "tibetano",
        "bos": "Bosnio",
        "br": "bretón",
        "bra": "braj",
        "bre": "cruceiros brasileños (BRE)",
        "bs": "bosnio",
        "btk": "batak",
        "bua": "buriat",
        "bug": "Buguinés",
        "bul": "Búlgaro",
        "bur": "Birmano",
        "byn": "blin",
        "ca": "catalán",
        "cad": "dólares canadienses",
        "cai": "lengua india centroamericana",
        "car": "caribe",
        "cat": "Catalán",
        "cau": "lengua caucásica",
        "ce": "checheno",
        "ceb": "cebuano",
        "cel": "lengua celta",
        "ch": "chamorro",
        "cha": "Chamorro",
        "chb": "chibcha",
        "che": "euros WIR",
        "chg": "chagatái",
        "chi": "Chino",
        "chk": "trukés",
        "chm": "marí",
        "chn": "jerga chinuk",
        "cho": "choctaw",
        "chp": "chipewyan",
        "chr": "cherokee",
        "chu": "Eslavo Eclesiástico",
        "chv": "Chuvacho",
        "chy": "cheyene",
        "cmc": "lenguas chámicas",
        "co": "corso",
        "cop": "pesos colombianos",
        "cor": "Córnico",
        "cos": "corso",
        "cpe": "lengua criolla o pidgin basada en el inglés",
        "cpf": "lengua criolla o pidgin basada en el francés",
        "cpp": "lengua criolla o pidgin basada en el portugués",
        "cr": "cree",
        "cre": "cree",
        "crh": "tártaro de Crimea",
        "crp": "lengua criolla o pidgin",
        "cs": "checo",
        "csb": "casubio",
        "cu": "eslavo eclesiástico",
        "cus": "lengua cusita",
        "cv": "chuvash",
        "cy": "galés",
        "cze": "checo",
        "da": "danés",
        "dak": "dakota",
        "dan": "danés",
        "dar": "dargva",
        "day": "dayak",
        "de": "alemán",
        "del": "delaware",
        "den": "slave",
        "dgr": "dogrib",
        "din": "dinka",
        "div": "Dhivehi",
        "doi": "dogri",
        "dra": "lengua dravídica",
        "dsb": "sorbio inferior",
        "dua": "duala",
        "dum": "neerlandés medieval",
        "dut": "Holandés",
        "dv": "divehi",
        "dyu": "diula",
        "dz": "dzongkha",
        "dzo": "Dzongkha",
        "ee": "ewe",
        "efi": "efik",
        "egy": "egipcio antiguo",
        "eka": "ekajuk",
        "el": "griego",
        "elx": "elamita",
        "en": "inglés",
        "eng": "Inglés",
        "enm": "inglés medieval",
        "eo": "esperanto",
        "epo": "Esperanto",
        "es": "español",
        "est": "Estonio",
        "et": "estonio",
        "eu": "vasco",
        "ewe": "Efé",
        "ewo": "ewondo",
        "fa": "persa",
        "fan": "fang",
        "fao": "Faroés",
        "fat": "fanti",
        "ff": "fula",
        "fi": "finés",
        "fij": "fidjiano",
        "fil": "filipino",
        "fin": "Finlandés",
        "fiu": "lengua finoúgria",
        "fj": "fidjiano",
        "fo": "feroés",
        "fon": "fon",
        "fr": "francés",
        "fre": "francés",
        "frm": "francés medieval",
        "fro": "francés antiguo",
        "frr": "frisón septentrional",
        "frs": "frisón oriental",
        "fry": "Frisio del Oeste",
        "ful": "Fula",
        "fur": "friulano",
        "fy": "frisón",
        "ga": "irlandés",
        "gaa": "ga",
        "gay": "gayo",
        "gba": "gbaya",
        "gd": "gaélico escocés",
        "gem": "lengua germánica",
        "geo": "Georgiano",
        "ger": "Alemán",
        "gez": "geez",
        "gil": "gilbertés",
        "gl": "gallego",
        "gla": "Gaélico",
        "gle": "Irlandés",
        "glg": "Gallego",
        "glv": "Manés",
        "gmh": "alemán de la alta edad media",
        "gn": "guaraní",
        "goh": "alemán de la alta edad antigua",
        "gon": "gondi",
        "gor": "gorontalo",
        "got": "gótico",
        "grb": "grebo",
        "grc": "griego antiguo",
        "gre": "Griego moderno (1453-)",
        "grn": "Guaraní",
        "gsw": "alemán suizo",
        "gu": "gujarati",
        "guj": "Gujarati",
        "gv": "gaélico manés",
        "gwi": "kutchin",
        "ha": "hausa",
        "hai": "haida",
        "hat": "Haitiano",
        "hau": "Hausa",
        "haw": "hawaiano",
        "he": "hebreo",
        "heb": "hebreo",
        "her": "herero",
        "hi": "hindi",
        "hil": "hiligaynon",
        "him": "himachali",
        "hin": "hindi",
        "hit": "hitita",
        "hmn": "hmong",
        "hmo": "Hiri motu",
        "ho": "hiri motu",
        "hr": "croata",
        "hrv": "Croata",
        "hsb": "sorbio superior",
        "ht": "haitiano",
        "hu": "húngaro",
        "hun": "húngaro",
        "hup": "hupa",
        "hy": "armenio",
        "hz": "herero",
        "ia": "interlingua",
        "iba": "iban",
        "ibo": "Ibo",
        "ice": "Islandés",
        "id": "indonesio",
        "ido": "Ido",
        "ie": "interlingue",
        "ig": "igbo",
        "ii": "sichuan yi",
        "iii": "Yi de Sichuán",
        "ijo": "ijo",
        "ik": "inupiaq",
        "iku": "Inuktitut",
        "ile": "Interlingüe",
        "ilo": "ilocano",
        "in": "indonesio",
        "ina": "Interlingua (IALA, del inglés International Auxiliary Language Association)",
        "inc": "lengua índica",
        "ind": "Indonesio",
        "ine": "lengua indoeuropea",
        "inh": "ingush",
        "io": "ido",
        "ipk": "Iñupiaq",
        "ira": "lengua irania",
        "iro": "lenguas iroquesas",
        "is": "islandés",
        "it": "italiano",
        "ita": "Italiano",
        "iu": "inuktitut",
        "iw": "hebreo",
        "ja": "japonés",
        "jav": "Javanés",
        "jbo": "lojban",
        "ji": "yídish",
        "jpn": "Japonés",
        "jpr": "judeo-persa",
        "jrb": "judeo-árabe",
        "jv": "javanés",
        "ka": "georgiano",
        "kaa": "karakalpako",
        "kab": "cabila",
        "kac": "kachin",
        "kal": "Kalaallisut",
        "kam": "kamba",
        "kan": "Canarés",
        "kar": "karen",
        "kas": "Cachemirí",
        "kau": "Kanuri",
        "kaw": "kawi",
        "kaz": "Kazajo",
        "kbd": "kabardiano",
        "kg": "kongo",
        "kha": "khasi",
        "khi": "lengua joisana",
        "khm": "Jemer Central",
        "kho": "kotanés",
        "ki": "kikuyu",
        "kik": "Kikuyu",
        "kin": "Ruandés",
        "kir": "kirghiz",
        "kj": "kuanyama",
        "kk": "kazajo",
        "kl": "groenlandés",
        "km": "jemer",
        "kmb": "kimbundu",
        "kn": "canarés",
        "ko": "coreano",
        "kok": "konkani",
        "kom": "Komi",
        "kon": "Congo",
        "kor": "Coreano",
        "kos": "kosraeano",
        "kpe": "kpelle",
        "kr": "kanuri",
        "krc": "karachay-balkar",
        "krl": "carelio",
        "kro": "kru",
        "kru": "kurukh",
        "ks": "cachemiro",
        "ku": "kurdo",
        "kua": "Kuanyama",
        "kum": "kumyk",
        "kur": "Curdo",
        "kut": "kutenai",
        "kv": "komi",
        "kw": "córnico",
        "ky": "kirghiz",
        "la": "latín",
        "lad": "ladino",
        "lah": "lahnda",
        "lam": "lamba",
        "lao": "Laosiano",
        "lat": "latín",
        "lav": "Letón",
        "lb": "luxemburgués",
        "lez": "lezgiano",
        "lg": "ganda",
        "li": "limburgués",
        "lim": "Limburgués",
        "lin": "Lingala",
        "lit": "Lituano",
        "ln": "lingala",
        "lo": "laosiano",
        "lol": "mongo",
        "loz": "lozi",
        "lt": "lituano",
        "ltz": "Luxemburgués",
        "lu": "luba-katanga",
        "lua": "luba-lulua",
        "lub": "Luba-katanga",
        "lug": "Luganda",
        "lui": "luiseño",
        "lun": "lunda",
        "luo": "luo",
        "lus": "lushai",
        "lv": "letón",
        "mac": "Macedonio",
        "mad": "dirhams marroquíes",
        "mag": "magahi",
        "mah": "marshalés",
        "mai": "maithili",
        "mak": "macasar",
        "mal": "Malayalam",
        "man": "mandingo",
        "mao": "Maorí",
        "map": "lengua austronesia",
        "mar": "Marathi",
        "mas": "masai",
        "may": "malayo",
        "mdf": "moksha",
        "mdr": "mandar",
        "men": "mende",
        "mg": "malgache",
        "mga": "ariary malgache",
        "mh": "marshalés",
        "mi": "maorí",
        "mic": "micmac",
        "min": "minangkabau",
        "mis": "lenguas varias",
        "mk": "macedonio",
        "mkh": "lengua mon-jemer",
        "ml": "malayalam",
        "mlg": "Malgache",
        "mlt": "Maltés",
        "mn": "mongol",
        "mnc": "manchú",
        "mni": "manipuri",
        "mno": "lenguas manobo",
        "mo": "moldavo",
        "moh": "mohawk",
        "mon": "Mongol",
        "mos": "mossi",
        "mr": "marathi",
        "ms": "malayo",
        "mt": "maltés",
        "mul": "lenguas múltiples",
        "mun": "lenguas munda",
        "mus": "creek",
        "mwl": "mirandés",
        "mwr": "marwari",
        "my": "birmano",
        "myn": "maya",
        "myv": "erzya",
        "na": "nauruano",
        "nah": "náhuatl",
        "nai": "lengua india norteamericana",
        "nap": "napolitano",
        "nau": "Nauruano",
        "nav": "Navajo",
        "nb": "bokmal noruego",
        "nbl": "Ndebele del Sur",
        "nd": "ndebele septentrional",
        "nde": "ndebele septentrional",
        "ndo": "Ndonga",
        "nds": "bajo alemán",
        "ne": "nepalí",
        "nep": "Nepalí",
        "new": "newari",
        "ng": "ndonga",
        "nia": "nias",
        "nic": "córdobas nicaragüenses",
        "niu": "niueano",
        "nl": "neerlandés",
        "nn": "nynorsk noruego",
        "nno": "Noruego Nynorsk",
        "no": "noruego",
        "nob": "Noruego Bokmal",
        "nog": "nogai",
        "non": "nórdico antiguo",
        "nor": "Noruego",
        "nqo": "n'ko",
        "nr": "ndebele meridional",
        "nso": "sotho septentrional",
        "nub": "lenguas nubias",
        "nv": "navajo",
        "nwc": "newari clásico",
        "ny": "nyanja",
        "nya": "Chichewa",
        "nym": "nyamwezi",
        "nyn": "nyankole",
        "nyo": "nyoro",
        "nzi": "nzima",
        "oc": "occitano",
        "oci": "Occitano (posterior a 1500)",
        "oj": "ojibwa",
        "oji": "Ojibwa",
        "om": "oromo",
        "or": "oriya",
        "ori": "oriya",
        "orm": "Oromo",
        "os": "osético",
        "osa": "osage",
        "oss": "Osético",
        "ota": "turco otomano",
        "oto": "lenguas otomanas",
        "pa": "punjabí",
        "paa": "lengua papú",
        "pag": "pangasinán",
        "pal": "pahlavi",
        "pam": "pampanga",
        "pan": "Penyabí",
        "pap": "papiamento",
        "pau": "palauano",
        "peo": "persa antiguo",
        "per": "Persa",
        "phi": "lengua filipina",
        "phn": "fenicio",
        "pi": "pali",
        "pl": "polaco",
        "pli": "Pali",
        "pol": "Polaco",
        "pon": "pohnpeiano",
        "por": "Portugués",
        "pra": "lenguas prácritas",
        "pro": "provenzal antiguo",
        "ps": "pashto",
        "pt": "portugués",
        "pus": "Pushto; Pashto",
        "qu": "quechua",
        "que": "Quechua",
        "raj": "rajasthani",
        "rap": "rapanui",
        "rar": "rarotongano",
        "rm": "retorrománico",
        "rn": "kiroundi",
        "ro": "rumano",
        "roa": "lengua romance",
        "roh": "Romansh",
        "rom": "romaní",
        "ru": "ruso",
        "rum": "rumano",
        "run": "Rundí",
        "rup": "arrumano",
        "rus": "Ruso",
        "rw": "kinyarwanda",
        "sa": "sánscrito",
        "sad": "sandawe",
        "sag": "Sango",
        "sah": "yakut",
        "sai": "lengua india sudamericana",
        "sal": "lenguas salish",
        "sam": "arameo samaritano",
        "san": "Sánscrito",
        "sas": "sasak",
        "sat": "santali",
        "sc": "sardo",
        "scn": "siciliano",
        "sco": "escocés",
        "sd": "sindhi",
        "se": "sami septentrional",
        "sel": "selkup",
        "sem": "lengua semítica",
        "sg": "sango",
        "sga": "irlandés antiguo",
        "sgn": "lenguajes de signos",
        "shn": "shan",
        "si": "cingalés",
        "sid": "sidamo",
        "sin": "Cingalés",
        "sio": "lenguas sioux",
        "sit": "tólares eslovenos",
        "sk": "eslovaco",
        "sl": "esloveno",
        "sla": "lengua eslava",
        "slo": "Eslovaco",
        "slv": "Esloveno",
        "sm": "samoano",
        "sma": "sami meridional",
        "sme": "Sami del Norte",
        "smi": "lengua sami",
        "smj": "sami lule",
        "smn": "sami inari",
        "smo": "Samoano",
        "sms": "sami skolt",
        "sn": "shona",
        "sna": "shona",
        "snd": "Sindhi",
        "snk": "soninké",
        "so": "somalí",
        "sog": "sogdiano",
        "som": "Somalí",
        "son": "songhai",
        "sot": "Sotho del Sur",
        "spa": "Español",
        "sq": "albanés",
        "sr": "serbio",
        "srd": "dólar surinamés",
        "srn": "sranan tongo",
        "srp": "serbio",
        "srr": "serer",
        "ss": "siswati",
        "ssa": "lengua nilo-sahariana",
        "ssw": "Suazi",
        "st": "sesotho",
        "su": "sundanés",
        "suk": "sukuma",
        "sun": "sudanés",
        "sus": "susú",
        "sux": "sumerio",
        "sv": "sueco",
        "sw": "swahili",
        "swa": "Swahili",
        "swe": "Sueco",
        "syc": "siríaco clásico",
        "syr": "siriaco",
        "ta": "tamil",
        "tah": "tahitiano",
        "tai": "lengua tai",
        "tam": "Tamil",
        "tat": "Tatar",
        "te": "telugu",
        "tel": "Telugu",
        "tem": "temne",
        "ter": "tereno",
        "tet": "tetún",
        "tg": "tayiko",
        "tgk": "Tajik",
        "tgl": "Tagalo",
        "th": "tailandés",
        "tha": "Tailandés",
        "ti": "tigriña",
        "tib": "Tibetano",
        "tig": "tigré",
        "tir": "Tigrinya",
        "tiv": "tiv",
        "tk": "turcomano",
        "tkl": "tokelauano",
        "tl": "tagalo",
        "tlh": "klingon",
        "tli": "tlingit",
        "tmh": "tamashek",
        "tn": "setchwana",
        "to": "tongano",
        "tog": "tonga del Nyasa",
        "ton": "Tongano (Islas Tonga)",
        "tpi": "tok pisin",
        "tr": "turco",
        "ts": "tsonga",
        "tsi": "tsimshiano",
        "tsn": "Tswana",
        "tso": "Tsonga",
        "tt": "tártaro",
        "tuk": "Turcomano",
        "tum": "tumbuka",
        "tup": "lenguas tupí",
        "tur": "Turco",
        "tut": "lengua altaica",
        "tvl": "tuvaluano",
        "tw": "twi",
        "twi": "Tui",
        "ty": "tahitiano",
        "tyv": "tuviniano",
        "udm": "udmurt",
        "ug": "uigur",
        "uga": "ugarítico",
        "uig": "Uiguro",
        "uk": "ucraniano",
        "ukr": "Ucraniano",
        "umb": "umbundu",
        "und": "indeterminada",
        "ur": "urdu",
        "urd": "Urdu",
        "uz": "uzbeko",
        "uzb": "Uzbeco",
        "vai": "vai",
        "ve": "venda",
        "ven": "Venda",
        "vi": "vietnamita",
        "vie": "vietnamita",
        "vo": "volapük",
        "vol": "Volapuk",
        "vot": "vótico",
        "wa": "valón",
        "wak": "lenguas wakasha",
        "wal": "walamo",
        "war": "waray",
        "was": "washo",
        "wel": "Galés",
        "wen": "lenguas sorbias",
        "wln": "valón",
        "wo": "uolof",
        "wol": "Uolof",
        "xal": "kalmyk",
        "xh": "xhosa",
        "xho": "Xhosa",
        "yao": "yao",
        "yap": "yapés",
        "yi": "yídish",
        "yid": "Yídish",
        "yo": "yoruba",
        "yor": "Yoruba",
        "ypk": "lenguas yupik",
        "za": "zhuang",
        "zap": "zapoteco",
        "zbl": "símbolos bliss",
        "zen": "zenaga",
        "zh": "chino",
        "zha": "Zhuang",
        "znd": "zande",
        "zu": "zulú",
        "zul": "Zulú",
        "zun": "zuní",
        "zxx": "sin contenido lingüístico",
        "zza": "zazaki"
    };

    return global.LocaleNames;

} );
