( function( global, factory ) {

    if ( typeof module === "object" && typeof module.exports === "object" ) {
        global.LocaleNames = module.require( "./locale-names" );
        module.exports = factory( global );
    } else {
        factory( global );
    }

} )( this, function( global ) {

    global.LocaleNames[ "fr" ] = {
        "001": "Monde",
        "002": "Afrique",
        "003": "Amérique du Nord",
        "005": "Amérique du Sud",
        "009": "Océanie",
        "011": "Afrique occidentale",
        "013": "Amérique centrale",
        "014": "Afrique orientale",
        "015": "Afrique septentrionale",
        "017": "Afrique centrale",
        "018": "Afrique australe",
        "019": "Amériques",
        "021": "Amérique septentrionale",
        "029": "Caraïbes",
        "030": "Asie orientale",
        "034": "Asie du Sud",
        "035": "Asie du Sud-Est",
        "039": "Europe méridionale",
        "053": "Australie et Nouvelle-Zélande",
        "054": "Mélanésie",
        "057": "Région micronésienne",
        "061": "Polynésie",
        "142": "Asie",
        "143": "Asie centrale",
        "145": "Asie occidentale",
        "150": "Europe",
        "151": "Europe orientale",
        "154": "Europe septentrionale",
        "155": "Europe occidentale",
        "419": "Amérique latine et Caraïbes",
        "AD": "Andorre",
        "AE": "Emirats Arabes Unis",
        "AF": "Afghanistan",
        "AG": "Antigua et Barbuda",
        "AI": "Anguilla",
        "AL": "Albanie",
        "AM": "Arménie",
        "AN": "Antilles Néerlandaises",
        "AO": "Angola",
        "AQ": "Antarctique",
        "AR": "Argentine",
        "AS": "Samoa américaines",
        "AT": "Autriche",
        "AU": "Australie",
        "AW": "Aruba",
        "AX": "Îles Åland",
        "AZ": "Azerbaïdjan",
        "Arab": "Arabe",
        "Armi": "Araméen impérial",
        "Armn": "Arménien",
        "Avst": "Avestique",
        "BA": "Bosnie-Herzégovine",
        "BB": "Barbade",
        "BD": "Bangladesh",
        "BE": "Belgique",
        "BF": "Burkina Faso",
        "BG": "Bulgarie",
        "BH": "Bahreïn",
        "BI": "Burundi",
        "BJ": "Benin",
        "BM": "Bermudes",
        "BN": "Brunei",
        "BO": "Bolivie",
        "BR": "Brésil",
        "BS": "Bahamas",
        "BT": "Bhoutan",
        "BV": "Île Bouvet",
        "BW": "Botswana",
        "BY": "Biélo-Russie",
        "BZ": "Bélize",
        "Bali": "Balinais",
        "Bamu": "Bamoun",
        "Bass": "Bassa Vah",
        "Batk": "Batak",
        "Beng": "Bengali",
        "Blis": "Symboles Bliss",
        "Bopo": "Bopomofo",
        "Brah": "Brahmi",
        "Brai": "Braille",
        "Bugi": "Bouguis",
        "Buhd": "Bouhide",
        "CA": "Canada",
        "CC": "Îles Cocos",
        "CD": "République démocratique du Congo",
        "CF": "République Centre-Africaine",
        "CG": "Congo",
        "CH": "Suisse",
        "CI": "Côte d'Ivoire",
        "CK": "Îles Cook",
        "CL": "Chili",
        "CM": "Cameroun",
        "CN": "Chine",
        "CO": "Colombie",
        "CR": "Costa Rica",
        "CS": "Serbie et Monténégro",
        "CU": "Cuba",
        "CV": "Cap Vert",
        "CX": "Île Christmas",
        "CY": "Chypre",
        "CZ": "République Tchèque",
        "Cakm": "Chakma",
        "Cans": "Syllabaire autochtone canadien unifié",
        "Cari": "Carien",
        "Cham": "Cham",
        "Cher": "Cherokee",
        "Cirt": "Cirth",
        "Copt": "Copte",
        "Cprt": "Syllabaire chypriote",
        "Cyrl": "Cyrillique",
        "Cyrs": "Cyrillique (variante slavonne)",
        "DE": "Allemagne",
        "DJ": "Djibouti",
        "DK": "Danemark",
        "DM": "Dominique",
        "DO": "République Dominicaine",
        "DZ": "Algérie",
        "Deva": "Devanagari",
        "Dsrt": "Deseret",
        "Dupl": "Sténographie Duployé",
        "EC": "Equateur",
        "EE": "Estonie",
        "EG": "Egypte",
        "EH": "Sahara Occidental",
        "ER": "Erythrée",
        "ES": "Espagne",
        "ET": "Ethiopie",
        "Egyd": "Démotique égyptien",
        "Egyh": "Hiératique égyptien",
        "Egyp": "Hiéroglyphes égyptiens",
        "Elba": "Elbasan",
        "Ethi": "Ethiopique",
        "FI": "Finlande",
        "FJ": "Fidji",
        "FK": "Îles Malouines",
        "FM": "Micronésie",
        "FO": "Îles Féroé",
        "FR": "France",
        "GA": "Gabon",
        "GB": "Royaume-Uni",
        "GD": "Grenade",
        "GE": "Géorgie",
        "GF": "Guyane française",
        "GH": "Ghana",
        "GI": "Gibraltar",
        "GL": "Groenland",
        "GM": "Gambie",
        "GN": "Guinée",
        "GP": "Guadeloupe",
        "GQ": "Guinée Equatoriale",
        "GR": "Grèce",
        "GS": "Géorgie du Sud et îles Sandwich du Sud",
        "GT": "Guatemala",
        "GU": "Guam",
        "GW": "Guinée-Bissau",
        "GY": "Guyana",
        "Geok": "Géorgien khoutsouri",
        "Geor": "Géorgien",
        "Glag": "Glagolitique",
        "Goth": "Gothique",
        "Gran": "Grantha",
        "Grek": "Grec",
        "Gujr": "Goudjarati",
        "Guru": "Gourmoukhî",
        "HK": "Hong-Kong",
        "HM": "Île Heard et îles McDonald",
        "HN": "Honduras",
        "HR": "Croatie",
        "HT": "Haïti",
        "HU": "Hongrie",
        "Hang": "Hangul",
        "Hani": "Idéogrammes han",
        "Hano": "Hanunoo",
        "Hans": "Idéogrammes han simplifiés",
        "Hant": "Idéogrammes han traditionnels",
        "Hebr": "Hébreu",
        "Hira": "Hiragana",
        "Hmng": "Pahawh Hmong",
        "Hrkt": "Katakana ou Hiragana",
        "Hung": "Ancien hongrois",
        "ID": "Indonésie",
        "IE": "Irlande",
        "IL": "Israël",
        "IN": "Inde",
        "IO": "Territoires britanniques de l'Océan Indien",
        "IQ": "Irak",
        "IR": "Iran",
        "IS": "Islande",
        "IT": "Italie",
        "Inds": "Indus",
        "Ital": "Ancien italique",
        "JM": "Jamaïque",
        "JO": "Jordanie",
        "JP": "Japon",
        "Java": "Javanais",
        "Jpan": "Japonais",
        "KE": "Kenya",
        "KG": "Kyrgyzstan",
        "KH": "Cambodge",
        "KI": "Kiribati",
        "KM": "Comores",
        "KN": "Saint-Christophe-et-Niévès",
        "KP": "Corée du Nord",
        "KR": "Corée du Sud",
        "KW": "Koweit",
        "KY": "Îles Caïmans",
        "KZ": "Kazakhstan",
        "Kali": "Kayah Li",
        "Kana": "Katakana",
        "Khar": "Kharoshthi",
        "Khmr": "Khmer",
        "Knda": "Kannada",
        "Kore": "Coréen",
        "Kpel": "Kpelle",
        "Kthi": "Kaithi",
        "LA": "Laos",
        "LB": "Liban",
        "LC": "Sainte-Lucie",
        "LI": "Liechtenstein",
        "LK": "Sri Lanka",
        "LR": "Liberia",
        "LS": "Lesotho",
        "LT": "Lithuanie",
        "LU": "Luxembourg",
        "LV": "Lettonie",
        "LY": "Libye",
        "Lana": "Tai Tham",
        "Laoo": "Laotien",
        "Latf": "Latin (variante brisée)",
        "Latg": "Latin (variante gaélique)",
        "Latn": "Latin",
        "Lepc": "Lepcha",
        "Limb": "Limbou",
        "Lina": "Linéaire A",
        "Linb": "Linéaire B",
        "Lisu": "Lisu",
        "Loma": "Loma",
        "Lyci": "Lycien",
        "Lydi": "Lydien",
        "MA": "Maroc",
        "MC": "Monaco",
        "MD": "Moldavie",
        "ME": "Monténégro",
        "MG": "Madagascar",
        "MH": "Îles Marshall",
        "MK": "Macédoine",
        "ML": "Mali",
        "MM": "Myanmar",
        "MN": "Mongolie",
        "MO": "Macao",
        "MP": "Îles Mariannes du Nord",
        "MQ": "Martinique",
        "MR": "Mauritanie",
        "MS": "Montserrat",
        "MT": "Malte",
        "MU": "Maurice",
        "MV": "Maldives",
        "MW": "Malawi",
        "MX": "Mexique",
        "MY": "Malaisie",
        "MZ": "Mozambique",
        "Mand": "Mandéen",
        "Mani": "Manichéen",
        "Maya": "Hiéroglyphes mayas",
        "Mend": "Mendé",
        "Merc": "Cursive méroïtique",
        "Mero": "Méroïtique",
        "Mlym": "Malayalam",
        "Mong": "Mongol",
        "Moon": "Moon",
        "Mtei": "Meitei Mayek",
        "Mymr": "Myanmar",
        "NA": "Namibie",
        "NC": "Nouvelle-Calédonie",
        "NE": "Niger",
        "NF": "Île Norfolk",
        "NG": "Nigéria",
        "NI": "Nicaragua",
        "NL": "Pays-Bas",
        "NO": "Norvège",
        "NP": "Népal",
        "NR": "Nauru",
        "NU": "Niue",
        "NZ": "Nouvelle-Zélande",
        "Narb": "Arabe ancien du Nord",
        "Nbat": "Nabatéen",
        "Nkgb": "Nakhi Geba",
        "Nkoo": "N'Ko",
        "OM": "Oman",
        "Ogam": "Ogam",
        "Olck": "Ol tchiki",
        "Orkh": "Orkhon",
        "Orya": "Oriya",
        "Osma": "Osmanais",
        "PA": "Panama",
        "PE": "Pérou",
        "PF": "Polynésie Française",
        "PG": "Papouasie-Nouvelle-Guinée",
        "PH": "Philippines",
        "PK": "Pakistan",
        "PL": "Pologne",
        "PM": "Saint-Pierre-et-Miquelon",
        "PN": "Pitcairn",
        "PR": "Porto Rico",
        "PS": "Palestine",
        "PT": "Portugal",
        "PW": "Belau",
        "PY": "Paraguay",
        "Palm": "Palmyréen",
        "Perm": "Ancien permien",
        "Phag": "Phags pa",
        "Phli": "Pehlevi des inscriptions",
        "Phlp": "Pehlevi des psautiers",
        "Phlv": "Pehlevi des livres",
        "Phnx": "Phénicien",
        "Plrd": "Miao",
        "Prti": "Parthe des inscriptions",
        "QA": "Qatar",
        "RE": "La Réunion",
        "RO": "Roumanie",
        "RS": "Serbie",
        "RU": "Russie",
        "RW": "Rwanda",
        "Rjng": "Rejang",
        "Roro": "Rongorongo",
        "Runr": "Runique",
        "SA": "Arabie Saoudite",
        "SB": "Îles Salomon",
        "SC": "Seychelles",
        "SD": "Soudan",
        "SE": "Suède",
        "SG": "Singapour",
        "SH": "Sainte-Hélène",
        "SI": "Slovénie",
        "SJ": "Svalbard et Jan Mayen",
        "SK": "Slovaquie",
        "SL": "Sierra Leone",
        "SM": "Saint-Marin",
        "SN": "Sénégal",
        "SO": "Somalie",
        "SR": "Suriname",
        "ST": "Sao Tomé et Principe",
        "SV": "El Salvador",
        "SY": "Syrie",
        "SZ": "Swaziland",
        "Samr": "Samaritain",
        "Sara": "Sarati",
        "Sarb": "Arabe ancien du Sud",
        "Saur": "Saurashtra",
        "Sgnw": "Ecriture des signes",
        "Shaw": "Shavian",
        "Sind": "Sindhi",
        "Sinh": "Singhalais",
        "Sund": "Soundanais",
        "Sylo": "Syloti Nagri",
        "Syrc": "Syriaque",
        "Syre": "Syriaque estranghélo",
        "Syrj": "Syriaque occidental",
        "Syrn": "Syriaque oriental",
        "TC": "Îles Turks et Caicos",
        "TD": "Tchad",
        "TF": "Territoires Français du Sud",
        "TG": "Togo",
        "TH": "Thaïlande",
        "TJ": "Tadjikistan",
        "TK": "Tokelau",
        "TL": "Timor-Leste",
        "TM": "Turkménistan",
        "TN": "Tunisie",
        "TO": "Tonga",
        "TR": "Turquie",
        "TT": "Trinité-et-Tobago",
        "TV": "Tuvalu",
        "TW": "Taiwan",
        "TZ": "Tanzanie",
        "Tagb": "Tagbanoua",
        "Tale": "Taï-le",
        "Talu": "Nouveau taï-lue",
        "Taml": "Tamoul",
        "Tavt": "Taï Viet",
        "Telu": "Télougou",
        "Teng": "Tengwar",
        "Tfng": "Tifinagh",
        "Tglg": "Tagalog",
        "Thaa": "Thâna",
        "Thai": "Thaï",
        "Tibt": "Tibétain",
        "UA": "Ukraine",
        "UG": "Ouganda",
        "UM": "Dépendances américaines du Pacifique",
        "US": "Etats-Unis",
        "UY": "Uruguay",
        "UZ": "Ouzbékistan",
        "Ugar": "Ougaritique",
        "VA": "Vatican",
        "VC": "Saint-Vincent-et-les Grenadines",
        "VE": "Vénézuela",
        "VG": "Iles Vierges Britanniques",
        "VI": "Iles Vierges Américaines",
        "VN": "Vietnam",
        "VU": "Vanuatu",
        "Vaii": "Vaï",
        "Visp": "Langage visuel",
        "WF": "Wallis-et-Futuna",
        "WS": "Samoa",
        "Wara": "Warang Citi",
        "Xpeo": "Cunéiforme persépolitain",
        "Xsux": "Cunéiforme suméro-akkadien",
        "YE": "Yémen",
        "YT": "Mayotte",
        "Yiii": "Yi",
        "ZA": "Afrique du Sud",
        "ZM": "Zambie",
        "ZW": "Zimbabwe",
        "Zinh": "Hérité",
        "Zmth": "Notation mathématique",
        "Zsym": "Symboles",
        "Zxxx": "Non écrit",
        "Zyyy": "Script non déterminé",
        "Zzzz": "Ecriture inconnue ou non valide",
        "aa": "afar",
        "aar": "Afar",
        "ab": "abkhaze",
        "abk": "Abkhaze",
        "ace": "Achinais",
        "ach": "Acoli",
        "ada": "Adangme",
        "ady": "Adyghéen",
        "ae": "avestan",
        "af": "afrikaans",
        "afa": "Afro-asiatique",
        "afh": "Afrihili",
        "afr": "Afrikaans",
        "ain": "Aïnou",
        "ak": "akan",
        "aka": "Akan",
        "akk": "Akkadien",
        "alb": "Albanais",
        "ale": "Aléoute",
        "alg": "Langue algonquienne",
        "alt": "Altaï du Sud",
        "am": "amharique",
        "amh": "Amharique",
        "an": "aragonais",
        "ang": "Vieil anglais (environ 450-1100)",
        "anp": "Angika",
        "apa": "Langue apache",
        "ar": "arabe",
        "ara": "Arabe",
        "arc": "Araméen officiel (700-300 av. J.-C.)",
        "arg": "Aragonais",
        "arm": "Arménien",
        "arn": "Mapudungun",
        "arp": "Arapaho",
        "art": "Langue artificielle",
        "arw": "Arawak",
        "as": "assamais",
        "asm": "Assamais",
        "ast": "Asturien",
        "ath": "Langue athapascane",
        "aus": "Langue australienne",
        "av": "avar",
        "ava": "Avar",
        "ave": "Avestique",
        "awa": "Awadhi",
        "ay": "aymara",
        "aym": "Aymara",
        "az": "azéri",
        "aze": "Azéri",
        "ba": "bachkir",
        "bad": "Banda",
        "bai": "Langue bamilékée",
        "bak": "Bachkir",
        "bal": "Baloutchi",
        "bam": "Bambara",
        "ban": "Balinais",
        "baq": "Basque",
        "bas": "Bassa",
        "bat": "Langue balte",
        "be": "biélorusse",
        "bej": "Bedja",
        "bel": "Biélorusse",
        "bem": "Bemba",
        "ben": "Bengali",
        "ber": "Berbère",
        "bg": "bulgare",
        "bh": "bihari",
        "bho": "Bhojpuri",
        "bi": "bichlamar",
        "bih": "Bihari",
        "bik": "Bikol",
        "bin": "Bini",
        "bis": "Bichlamar",
        "bla": "Siksika",
        "bm": "bambara",
        "bn": "bengali",
        "bnt": "Bantou",
        "bo": "tibétain",
        "bos": "Bosniaque",
        "br": "breton",
        "bra": "Braj",
        "bre": "Breton",
        "bs": "bosniaque",
        "btk": "Batak",
        "bua": "Bouriate",
        "bug": "Bouguinais",
        "bul": "Bulgare",
        "bur": "Birman",
        "byn": "Blin",
        "ca": "catalan",
        "cad": "Caddo",
        "cai": "Langue amérindienne centrale",
        "car": "Galibi Caribe",
        "cat": "Catalan",
        "cau": "Langue caucasienne",
        "ce": "tchétchène",
        "ceb": "Cebuano",
        "cel": "Langue celtique",
        "ch": "chamorro",
        "cha": "Chamorro",
        "chb": "Chibcha",
        "che": "Tchétchène",
        "chg": "Tchaghataï",
        "chi": "Chinois",
        "chk": "Chuuk",
        "chm": "Mari",
        "chn": "Jargon chinook",
        "cho": "Choctaw",
        "chp": "Chipewyan",
        "chr": "Cherokee",
        "chu": "Slavon liturgique",
        "chv": "Tchouvache",
        "chy": "Cheyenne",
        "cmc": "Langue chame",
        "co": "corse",
        "cop": "Copte",
        "cor": "Cornouaillais",
        "cos": "Corse",
        "cpe": "Créole ou pidgin anglais",
        "cpf": "Créole ou pidgin français",
        "cpp": "Créole ou pidgin portugais",
        "cr": "cri",
        "cre": "Cri",
        "crh": "Turc de Crimée",
        "crp": "Créole ou pidgin",
        "cs": "tchèque",
        "csb": "Kachoube",
        "cu": "slavon d'église",
        "cus": "Langue couchitique",
        "cv": "tchouvache",
        "cy": "gallois",
        "cze": "Tchèque",
        "da": "danois",
        "dak": "Dakota",
        "dan": "Danois",
        "dar": "Dargwa",
        "day": "Dayak",
        "de": "allemand",
        "del": "Delaware",
        "den": "Slave (Athapascan)",
        "dgr": "Dogrib",
        "din": "Dinka",
        "div": "Divehi",
        "doi": "Dogri",
        "dra": "Langue dravidienne",
        "dsb": "Bas-sorabe",
        "dua": "Douala",
        "dum": "Moyen néerlandais",
        "dut": "Néerlandais",
        "dv": "divehi",
        "dyu": "Dioula",
        "dz": "dzongkha",
        "dzo": "Dzongkha",
        "ee": "éwé",
        "efi": "Efik",
        "egy": "Egyptien ancien",
        "eka": "Ekajuk",
        "el": "grec",
        "elx": "Elamite",
        "en": "anglais",
        "eng": "Anglais",
        "enm": "Moyen anglais",
        "eo": "espéranto",
        "epo": "Espéranto",
        "es": "espagnol",
        "est": "Estonien",
        "et": "estonien",
        "eu": "basque",
        "ewe": "Ewe",
        "ewo": "Ewondo",
        "fa": "persan",
        "fan": "Fang",
        "fao": "Féroïen",
        "fat": "Fanti",
        "ff": "peul",
        "fi": "finnois",
        "fij": "Fidjien",
        "fil": "Filipino",
        "fin": "Finnois",
        "fiu": "Langue finno-ougrienne",
        "fj": "fidjien",
        "fo": "féroïen",
        "fon": "Fon",
        "fr": "français",
        "fre": "Français",
        "frm": "Moyen français",
        "fro": "Ancien français",
        "frr": "Frison du Nord",
        "frs": "Frison oriental",
        "fry": "Frison occidental",
        "ful": "Peul",
        "fur": "Frioulan",
        "fy": "frison",
        "ga": "irlandais",
        "gaa": "Ga",
        "gay": "Gayo",
        "gba": "Gbaya",
        "gd": "ecossais gaélique",
        "gem": "Langue germanique",
        "geo": "Géorgien",
        "ger": "Allemand",
        "gez": "Guèze",
        "gil": "Gilbertais",
        "gl": "galicien",
        "gla": "Gallois",
        "gle": "Irlandais",
        "glg": "Galicien",
        "glv": "Mannois",
        "gmh": "Moyen haut-allemand",
        "gn": "guarani",
        "goh": "Ancien haut-allemand",
        "gon": "Gondi",
        "gor": "Gorontalo",
        "got": "Gothique",
        "grb": "Grebo",
        "grc": "Grec ancien",
        "gre": "Grec, moderne (1453 -)",
        "grn": "Guarani",
        "gsw": "Alémanique",
        "gu": "goudjrati",
        "guj": "Goudjarati",
        "gv": "manx",
        "gwi": "Gwich'in",
        "ha": "haoussa",
        "hai": "Haida",
        "hat": "Haïtien",
        "hau": "Haoussa",
        "haw": "Hawaïen",
        "he": "hébreu",
        "heb": "Hébreu",
        "her": "Herero",
        "hi": "hindi",
        "hil": "Hiligaynon",
        "him": "Himachali",
        "hin": "Hindi",
        "hit": "Hittite",
        "hmn": "Hmong",
        "hmo": "Hiri Motu",
        "ho": "hiri motu",
        "hr": "croate",
        "hrv": "Croate",
        "hsb": "Haut-sorabe",
        "ht": "créole d'Haïti",
        "hu": "hongrois",
        "hun": "Hongrois",
        "hup": "Hupa",
        "hy": "arménien",
        "hz": "herero",
        "ia": "interlingua",
        "iba": "Iban",
        "ibo": "Igbo",
        "ice": "Islandais",
        "id": "indonésien",
        "ido": "Ido",
        "ie": "interlingue",
        "ig": "ibo",
        "ii": "yi de Sichuan",
        "iii": "Yi de Sichuan",
        "ijo": "Ijo",
        "ik": "inupiaq",
        "iku": "Inuktitut",
        "ile": "Interlingue",
        "ilo": "Ilokano",
        "in": "indonésien",
        "ina": "Interlingua (International Auxiliary Language Association)",
        "inc": "Langue indo-aryenne",
        "ind": "Indonésien",
        "ine": "Langue indo-européenne",
        "inh": "Ingouche",
        "io": "ido",
        "ipk": "Inupiaq",
        "ira": "Langue iranienne",
        "iro": "Langue iroquoienne",
        "is": "islandais",
        "it": "italien",
        "ita": "Italien",
        "iu": "inuktitut",
        "iw": "hébreu",
        "ja": "japonais",
        "jav": "Javanais",
        "jbo": "Lojban",
        "ji": "yiddish",
        "jpn": "Japonais",
        "jpr": "Judéo-persan",
        "jrb": "Judéo-arabe",
        "jv": "javanais",
        "ka": "georgien",
        "kaa": "Karakalpak",
        "kab": "Kabyle",
        "kac": "Kachin",
        "kal": "Groenlandais",
        "kam": "Kamba",
        "kan": "Kannada",
        "kar": "Karen",
        "kas": "Kashmiri",
        "kau": "Kanuri",
        "kaw": "Kawi",
        "kaz": "Kazakh",
        "kbd": "Kabardin",
        "kg": "kongo",
        "kha": "Khasi",
        "khi": "Langue khoïsan",
        "khm": "Khmer central",
        "kho": "Khotanais",
        "ki": "kikuyu",
        "kik": "Kikuyu",
        "kin": "Kinyarwanda",
        "kir": "Kirghize",
        "kj": "kwanyama",
        "kk": "kazakh",
        "kl": "groenlandais",
        "km": "khmer",
        "kmb": "Kimbundu",
        "kn": "kannada",
        "ko": "coréen",
        "kok": "Konkani",
        "kom": "Komi",
        "kon": "Kikongo",
        "kor": "Coréen",
        "kos": "Kosrae",
        "kpe": "Kpellé",
        "kr": "kanouri",
        "krc": "Karatchaï balkar",
        "krl": "Carélien",
        "kro": "Krou",
        "kru": "Kurukh",
        "ks": "kashmiri",
        "ku": "kurde",
        "kua": "Kwanyama",
        "kum": "Koumyk",
        "kur": "Kurde",
        "kut": "Kutenai",
        "kv": "komi",
        "kw": "cornique",
        "ky": "kirghize",
        "la": "latin",
        "lad": "Ladino",
        "lah": "Lahnda",
        "lam": "Lamba",
        "lao": "Laotien",
        "lat": "Latin",
        "lav": "Letton",
        "lb": "luxembourgeois",
        "lez": "Lezghien",
        "lg": "ganda",
        "li": "limbourgeois",
        "lim": "Limburgan",
        "lin": "Lingala",
        "lit": "Lituanien",
        "ln": "lingala",
        "lo": "lao",
        "lol": "Mongo",
        "loz": "Lozi",
        "lt": "lithuanien",
        "ltz": "Luxembourgeois",
        "lu": "luba-katanga",
        "lua": "Luba-Lulua",
        "lub": "Luba-Katanga",
        "lug": "Ganda",
        "lui": "Luiseno",
        "lun": "Lunda",
        "luo": "Luo",
        "lus": "Lushai",
        "lv": "letton",
        "mac": "Macédonien",
        "mad": "Madurais",
        "mag": "Magahi",
        "mah": "Marshallais",
        "mai": "Maithili",
        "mak": "Makassar",
        "mal": "Malayalam",
        "man": "Mandingue",
        "mao": "Maori",
        "map": "Malayo-polynésien",
        "mar": "Marathi",
        "mas": "Masai",
        "may": "Malais",
        "mdf": "Moksa",
        "mdr": "Mandar",
        "men": "Mendé",
        "mg": "malgache",
        "mga": "Irlandais, moyen (900 - 1200)",
        "mh": "marshall",
        "mi": "maori",
        "mic": "Micmac",
        "min": "Minangkabau",
        "mis": "Non codé",
        "mk": "macédonien",
        "mkh": "Langue mon-khmère",
        "ml": "malayalam",
        "mlg": "Malgache",
        "mlt": "Maltais",
        "mn": "mongol",
        "mnc": "Mandchou",
        "mni": "Manipuri",
        "mno": "Langue manobo",
        "mo": "moldave",
        "moh": "Mohawk",
        "mon": "Mongol",
        "mos": "Moré",
        "mr": "marathe",
        "ms": "malais",
        "mt": "maltais",
        "mul": "Multilingue",
        "mun": "Langue mounda",
        "mus": "Creek",
        "mwl": "Mirandais",
        "mwr": "Marwari",
        "my": "birman",
        "myn": "Langue maya",
        "myv": "Erzya",
        "na": "nauruan",
        "nah": "Nahuatl",
        "nai": "Langue amérindienne du Nord",
        "nap": "Napolitain",
        "nau": "Nauruan",
        "nav": "Navajo",
        "nb": "norvégien bokmål",
        "nbl": "Ndebele, Sud",
        "nd": "ndébélé du Nord",
        "nde": "Ndebele, nord",
        "ndo": "Ndonga",
        "nds": "Bas-allemand",
        "ne": "népalais",
        "nep": "Népalais",
        "new": "Newari",
        "ng": "ndonga",
        "nia": "Nias",
        "nic": "Niger-kordofanian",
        "niu": "Niue",
        "nl": "néerlandais",
        "nn": "norvégien nynorsk",
        "nno": "Norvégien nynorsk",
        "no": "norvégien",
        "nob": "Bokmal, Norvégien",
        "nog": "Nogaï",
        "non": "Vieux norrois",
        "nor": "Norvégien",
        "nqo": "N'Ko",
        "nr": "ndébélé du Sud",
        "nso": "Pedi",
        "nub": "Langue nubienne",
        "nv": "navaho",
        "nwc": "Newari classique",
        "ny": "nyanja",
        "nya": "Chichewa",
        "nym": "Nyamwezi",
        "nyn": "Nyankole",
        "nyo": "Nyoro",
        "nzi": "Nzema",
        "oc": "occitan",
        "oci": "Occitan (après 1500)",
        "oj": "ojibwa",
        "oji": "Ojibwa",
        "om": "galla",
        "or": "oriya",
        "ori": "Oriya",
        "orm": "Oromo",
        "os": "ossète",
        "osa": "Osage",
        "oss": "Ossète",
        "ota": "Turc ottoman",
        "oto": "Langue otomangue",
        "pa": "pendjabi",
        "paa": "Langue papoue",
        "pag": "Pangasinan",
        "pal": "Pahlavi",
        "pam": "Pampangan",
        "pan": "Panjabi",
        "pap": "Papiamento",
        "pau": "Palau",
        "peo": "Persan ancien",
        "per": "Persan",
        "phi": "Langue philippine",
        "phn": "Phénicien",
        "pi": "pali",
        "pl": "polonais",
        "pli": "Pali",
        "pol": "Polonais",
        "pon": "Pohnpei",
        "por": "Portugais",
        "pra": "Langues prâkrit",
        "pro": "Provençal ancien",
        "ps": "pachto",
        "pt": "portugais",
        "pus": "Pushto ; Pashto",
        "qu": "quechua",
        "que": "Quechua",
        "raj": "Rajasthani",
        "rap": "Rapanui",
        "rar": "Rarotongien",
        "rm": "rhétoroman",
        "rn": "rundi",
        "ro": "roumain",
        "roa": "Langue romane",
        "roh": "Romanche",
        "rom": "Romani",
        "ru": "russe",
        "rum": "Roumain",
        "run": "Rundi",
        "rup": "Aroumain",
        "rus": "Russe",
        "rw": "rwanda",
        "sa": "sanscrit",
        "sad": "Sandawe",
        "sag": "Sango",
        "sah": "Yakoute",
        "sai": "Langue amérindienne du Sud",
        "sal": "Langue salishenne",
        "sam": "Araméen samaritain",
        "san": "Sanscrit",
        "sas": "Sasak",
        "sat": "Santal",
        "sc": "sarde",
        "scn": "Sicilien",
        "sco": "Ecossais",
        "sd": "sindhi",
        "se": "sami du Nord",
        "sel": "Selkoupe",
        "sem": "Langue sémitique",
        "sg": "sango",
        "sga": "Ancien irlandais",
        "sgn": "Langue des signes",
        "shn": "Shan",
        "si": "singhalais",
        "sid": "Sidamo",
        "sin": "Sinhala",
        "sio": "Langue sioux",
        "sit": "Sino-tibétain",
        "sk": "slovaque",
        "sl": "slovène",
        "sla": "Langue slave",
        "slo": "Slovaque",
        "slv": "Slovène",
        "sm": "samoan",
        "sma": "Sami du sud",
        "sme": "Sami du Nord",
        "smi": "Langue samie",
        "smj": "Sami de Lule",
        "smn": "Sami d'Inari",
        "smo": "Samoan",
        "sms": "Sami skolt",
        "sn": "shona",
        "sna": "Shona",
        "snd": "Sindhi",
        "snk": "Soninké",
        "so": "somali",
        "sog": "Sogdien",
        "som": "Somali",
        "son": "Songhai",
        "sot": "Sotho, sud",
        "spa": "Espagnol",
        "sq": "albanais",
        "sr": "serbe",
        "srd": "Sarde",
        "srn": "Sranan Tongo",
        "srp": "Serbe",
        "srr": "Sérère",
        "ss": "swati",
        "ssa": "Langue nilo-saharienne",
        "ssw": "Swati",
        "st": "sotho du sud",
        "su": "soundanais",
        "suk": "Sukuma",
        "sun": "Soundanais",
        "sus": "Soussou",
        "sux": "Sumérien",
        "sv": "suédois",
        "sw": "swahili",
        "swa": "Souahéli",
        "swe": "Suédois",
        "syc": "Syriaque classique",
        "syr": "Syriaque",
        "ta": "tamoul",
        "tah": "Tahitien",
        "tai": "Langue taï",
        "tam": "Tamoul",
        "tat": "Tatar",
        "te": "telugu",
        "tel": "Télougou",
        "tem": "Temne",
        "ter": "Tereno",
        "tet": "Tetum",
        "tg": "tadjik",
        "tgk": "Tadjik",
        "tgl": "Tagalog",
        "th": "thaï",
        "tha": "Thaï",
        "ti": "tigrigna",
        "tib": "Tibétain",
        "tig": "Tigre",
        "tir": "Tigrigna",
        "tiv": "Tiv",
        "tk": "turkmène",
        "tkl": "Tokelau",
        "tl": "tagalog",
        "tlh": "Klingon",
        "tli": "Tlingit",
        "tmh": "Tamacheq",
        "tn": "setswana",
        "to": "tonga",
        "tog": "Tonga nyasa",
        "ton": "Tonga (Iles Tonga)",
        "tpi": "Tok Pisin",
        "tr": "turc",
        "ts": "tsonga",
        "tsi": "Tsimshian",
        "tsn": "Tswana",
        "tso": "Tsonga",
        "tt": "tatare",
        "tuk": "Turkmène",
        "tum": "Tumbuka",
        "tup": "Langue tupi",
        "tur": "Turc",
        "tut": "Langue altaïque",
        "tvl": "Tuvalu",
        "tw": "twi",
        "twi": "Twi",
        "ty": "tahitien",
        "tyv": "Touva",
        "udm": "Oudmourte",
        "ug": "ouïgour",
        "uga": "Ougaritique",
        "uig": "Ouïgour",
        "uk": "ukrainien",
        "ukr": "Ukrainien",
        "umb": "Umbundu",
        "und": "Indéterminé",
        "ur": "ourdou",
        "urd": "Ourdou",
        "uz": "ouzbek",
        "uzb": "Ouzbek",
        "vai": "Vaï",
        "ve": "venda",
        "ven": "Venda",
        "vi": "vietnamien",
        "vie": "Vietnamien",
        "vo": "volapük",
        "vol": "Volapuk",
        "vot": "Vote",
        "wa": "wallon",
        "wak": "Langues wakashennes",
        "wal": "Wolaitta",
        "war": "Waray",
        "was": "Washo",
        "wel": "Gallois",
        "wen": "Langue sorabe",
        "wln": "Wallon",
        "wo": "wolof",
        "wol": "Wolof",
        "xal": "Kalmouk",
        "xh": "xhosa",
        "xho": "Xhosa",
        "yao": "Yao",
        "yap": "Yap",
        "yi": "yiddish",
        "yid": "Yiddish",
        "yo": "yoruba",
        "yor": "Yoruba",
        "ypk": "Langues yupik",
        "za": "zhuang",
        "zap": "Zapotèque",
        "zbl": "Symboles Bliss",
        "zen": "Zenaga",
        "zh": "chinois",
        "zha": "Zhuang",
        "znd": "Zande",
        "zu": "zoulou",
        "zul": "Zoulou",
        "zun": "Zuni",
        "zxx": "Sans contenu linguistique",
        "zza": "Zazaki"
    };

    return global.LocaleNames;

} );
